View Issue Details

IDProjectCategoryView StatusLast Update
0002065Far ManagerHelp/Languagepublic2012-04-23 13:17
Reportersysadm-nk-resursAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0002065: Управлению курсором с клавиатуры в системе помощи мешает положение курсора мыши.
DescriptionВ справке (F1) при работе с клавиатуры (Up/Down/Left/Right) сбрасывается положение выделенного пункта (курсорного бара), если мышиный курсор находится по вертикали в зоне этих самых пунктов (независимо от границ области справки). Причём сбрасывается в неопределённое состояние - становится невыделенным ни один пункт. Если мышиный курсор находится выше или ниже вертикальных границ области выделяемых пунктов, то всё нормально.
Работало нормально в: FAR 2.0 build 1354 x86
Перестало работать в: FAR 2.0 build 1371 x86 (может и раньше, но у меня под руками только эти два билда)
(в Far Manager 2.1 build 1807 bis23 x86 чуть лучше - положение курсорного бара сбрасывается только при попвтке переместить мышь)
TagsNo tags attached.
Build2627

Activities

sysadm-nk-resurs

2012-04-10 22:01

reporter   bugnote:0008863

Поведение со сбросом клавиатурного курсора повторяется в FAR 3.0 build 2593 x86 для неподвижной мыши; если мышь указывает на пункт справки - курсор перескакивает под мышиный указатель.

2useven10

2012-04-11 23:16

developer   bugnote:0008876

Last edited: 2012-04-11 23:16

View 2 revisions

2605 - на пробу, поведение изменено, так что проверяйте и сообщайте, если не понравится. ну и в случае багов - тоже.

DrKnS

2012-04-11 23:20

administrator   bugnote:0008877

Ну вообще-то тут был баг - курсор должен был следовать за мышью только если мышь увели за пределы текущего знакоместа (т.е. изменились MsX/MsY).

2useven10

2012-04-11 23:25

developer   bugnote:0008878

Last edited: 2012-04-11 23:25

View 2 revisions

я сделал, как мне кажется удобным. субъективно - курсор НЕ следут за мышью без клика. если следование за мышом ооочень нужно - пишите, откачу изменения.

sysadm-nk-resurs

2012-04-14 12:27

reporter   bugnote:0008901

Да, теперь текстовый курсор не слетает от положения мышиного.
Но вот подсветка пункта под мышиным курсором всё-же визуально более приятна, что-ли... Да и из соображений однообразия - в менюшках/списках всяких курсор за мышом бегает...
Лучше, наверное, сделать такое поведение: курсор перескакивает вслед за мышиным по мере движения мыша поверх пунктов; если мышь выходит за границы пункта вправо-влево - подсветку пункта оставлять; таково же, собственно, поведение курсора сейчас и в других схожих элементах интерфейса.

2useven10

2012-04-16 18:23

developer   bugnote:0008910

2618
добавлен приватный параметр Help.FollowMouse, умолчание 1=курсор следует за мышкой

sysadm-nk-resurs

2012-04-17 10:08

reporter   bugnote:0008916

Да, теперь всё в порядке. Спасибо!

2useven10

2012-04-17 15:35

developer   bugnote:0008935

Если всё в порядке, Вам надо сменить статус задачи на 'Resolved'

sysadm-nk-resurs

2012-04-17 16:25

reporter   bugnote:0008936

Last edited: 2012-04-17 16:27

View 2 revisions

Хммм... Меняю статус на "resolved" - кнопка "Change status to:" исчезает. Но статус остаётся "assigned". Что я не так делаю?

2useven10

2012-04-17 16:29

developer   bugnote:0008937

а теперь?

sysadm-nk-resurs

2012-04-17 17:02

reporter   bugnote:0008939

А теперь статус стал и остаётся "feedback"; зато в списке около кнопки "Change status to:" пункт "feedback" поменялся на "assigned" :)
(т.е был выбор между "resolved" и "feedback", а теперь "resolved" и "assigned")

sysadm-nk-resurs

2012-04-17 17:04

reporter   bugnote:0008940

Last edited: 2012-04-17 17:07

View 3 revisions

А теперь, после добавления предыдущей моей заметки статус - опять "assigned".

2useven10

2012-04-17 17:15

developer   bugnote:0008941

ладно оставьте.
возможно у вас слишком мало соощений, чтобы менять статус на 'resolved'.

JohnDoe

2012-04-19 19:15

updater   bugnote:0008970

>добавлен приватный параметр Help.FollowMouse
Что такое "приватный параметр"?

2useven10

2012-04-19 22:08

developer   bugnote:0008974

То что я имел ввиду: параметр фаром в БД не пишется, чтобы он появился там и соответственно экспортировался и был виден в .farconfig, его надо создать руками.

JohnDoe

2012-04-20 14:18

updater   bugnote:0008983

Это где-то документировано? (не знаю ведётся ли ещё TechInfo.txt)

Issue History

Date Modified Username Field Change
2012-04-10 21:41 sysadm-nk-resurs New Issue
2012-04-10 22:01 sysadm-nk-resurs Note Added: 0008863
2012-04-11 23:16 2useven10 Note Added: 0008876
2012-04-11 23:16 2useven10 Assigned To => 2useven10
2012-04-11 23:16 2useven10 Status new => feedback
2012-04-11 23:16 2useven10 Note Edited: 0008876 View Revisions
2012-04-11 23:20 DrKnS Note Added: 0008877
2012-04-11 23:25 2useven10 Note Added: 0008878
2012-04-11 23:25 2useven10 Note Edited: 0008878 View Revisions
2012-04-14 12:27 sysadm-nk-resurs Note Added: 0008901
2012-04-14 12:27 sysadm-nk-resurs Status feedback => assigned
2012-04-16 18:23 2useven10 Note Added: 0008910
2012-04-16 18:23 2useven10 Status assigned => feedback
2012-04-17 10:08 sysadm-nk-resurs Note Added: 0008916
2012-04-17 10:08 sysadm-nk-resurs Status feedback => assigned
2012-04-17 15:35 2useven10 Note Added: 0008935
2012-04-17 16:25 sysadm-nk-resurs Note Added: 0008936
2012-04-17 16:27 sysadm-nk-resurs Note Edited: 0008936 View Revisions
2012-04-17 16:29 2useven10 Status assigned => feedback
2012-04-17 16:29 2useven10 Note Added: 0008937
2012-04-17 17:02 sysadm-nk-resurs Note Added: 0008939
2012-04-17 17:02 sysadm-nk-resurs Status feedback => assigned
2012-04-17 17:04 sysadm-nk-resurs Note Added: 0008940
2012-04-17 17:05 sysadm-nk-resurs Note Edited: 0008940 View Revisions
2012-04-17 17:07 sysadm-nk-resurs Note Edited: 0008940 View Revisions
2012-04-17 17:15 2useven10 Note Added: 0008941
2012-04-17 17:16 2useven10 Status assigned => resolved
2012-04-19 19:15 JohnDoe Note Added: 0008970
2012-04-19 22:08 2useven10 Note Added: 0008974
2012-04-20 14:18 JohnDoe Note Added: 0008983
2012-04-23 13:17 2useven10 Build => 2627
2012-04-23 13:17 2useven10 Status resolved => closed
2012-04-23 13:17 2useven10 Resolution open => fixed
2012-04-23 13:17 2useven10 Fixed in Version => 3.0